Your submission was sent successfully! Close

USN-3026-2: libusbmuxd vulnerability

5 July 2016

libusbmuxd would allow unintended access to devices over the network.

Releases

Packages

  • libusbmuxd - USB multiplexor daemon for iPhone and iPod Touch devices

Details

It was discovered that libusbmuxd incorrectly handled socket permissions.
A remote attacker could use this issue to access services on iOS devices,
contrary to expectations.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 16.04
Ubuntu 15.10

In general, a standard system update will make all the necessary changes.

References

Related notices

  • USN-3026-1: python-imobiledevice, libimobiledevice6, libimobiledevice-utils, libimobiledevice, libimobiledevice-dev, libimobiledevice-doc, libimobiledevice4